#define F_CPU 1000000UL 	// 1 MHz CPU clock (UL = unsigned long)
#include <avr/io.h>			// Bibliothèque principale, pour piloter les entrées/sorties du µC
#include <util/delay.h>		// Bibliothèque de fonctions, permettant de faire attendre le microcontroleur quelques instants, avant de passer à la suite

#define BLINK_DELAY_MS_COURT 200	// Indique la durée d'une pause qui sera "courte" (200 ms ici)
#define BLINK_DELAY_MS_LONG 1500	// Indique la durée d'une pause qui sera "longue" (1500ms ici)
#define pinA0 0b00000001			// Masque de sélection de la pin AO de l'Atmega16a (on aurait pu mettre 0b0100000 pour sélectionner la pin A6 par exemple, car chaque bit correspond à une sortie du port en question)

int main(void)
{
	// Registre DDRx : chaque bit définit l'état de chaque pin. Si un bit est à 0, cela signifie que la pin correspondante sera définie comme étant une entrée. Ä l'inverse, si ce bit est à 1, alors on indique au MCU que cette broche sera une sortie
	DDRA|=pinA0;			// La fonction OU permet de passer la pinA0 à 1 (= sortie, donc)
			
	// Boucle infinie
	 while(1) {
		PORTA &= ~pinA0;						// Allumage de la pin A0, pour la 1ère fois
		_delay_ms(BLINK_DELAY_MS_COURT);		// pause de 200 ms
		
		PORTA |= pinA0;							// Extinction de la pin A0
		_delay_ms(BLINK_DELAY_MS_COURT);		// pause de 200 ms

		PORTA &= ~pinA0;						// Allumage de la pin A0, pour la 2nde fois
		_delay_ms(BLINK_DELAY_MS_COURT);		// pause de 200 ms

		PORTA |= pinA0;							// Extinction de la pin A0
		_delay_ms(BLINK_DELAY_MS_LONG);			// pause de 1500 ms
	}
}